diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_tburst.c ircby-0.5-RC3/contrib/m_tburst.c
--- ircd-hybrid-7.0.1/contrib/m_tburst.c	Wed Dec 18 00:33:29 2002
+++ ircby-0.5-RC3/contrib/m_tburst.c	Tue Mar 30 11:04:24 2004
@@ -25,7 +25,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- *  $Id: m_tburst.c,v 1.12 2002/12/18 05:33:29 db Exp $
+ *  $Id: m_tburst.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -81,7 +81,7 @@
   unset_tburst_capab();
 }
 
-const char *_version = "$Revision: 1.12 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /* ms_tburst()
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_whois.c ircby-0.5-RC3/contrib/m_whois.c
--- ircd-hybrid-7.0.1/contrib/m_whois.c	Sun Feb 16 17:06:45 2003
+++ ircby-0.5-RC3/contrib/m_whois.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_whois.c,v 1.10 2003/02/16 22:06:45 bill Exp $
+ *  $Id: m_whois.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -194,7 +194,7 @@
   mod_del_cmd(&whois_msgtab);
 }
 
-const char *_version = "$Revision: 1.10 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 /*
 ** m_whois
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_xlat.c ircby-0.5-RC3/contrib/m_xlat.c
--- ircd-hybrid-7.0.1/contrib/m_xlat.c	Wed Dec 31 19:00:00 1969
+++ ircby-0.5-RC3/contrib/m_xlat.c	Tue Mar 30 11:04:24 2004
@@ -0,0 +1,194 @@
+/*   contrib/m_opme.c
+ *   Copyright (C) 2002 Hybrid Development Team
+ *
+ *   This program is free software; you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation; either version 1, or (at your option)
+ *   any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *   $Id: m_xlat.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
+ */
+
+#include "stdinc.h"
+#include "tools.h"
+#include "handlers.h"
+#include "channel.h"
+#include "client.h"
+#include "ircd.h"
+#include "numeric.h"
+#include "s_log.h"
+#include "s_serv.h"
+#include "send.h"
+#include "whowas.h"
+#include "irc_string.h"
+#include "hash.h"
+#include "msg.h"
+#include "parse.h"
+#include "modules.h"
+#include "vchannel.h"
+#include "hook.h"
+
+#include <string.h>
+
+static void m_xlat(struct Client *client_p, struct Client *source_p,
+                    int parc, char *parv[]);
+
+static char _koi[]="KOI\0";
+static char _plain[]="PLAIN\0";
+static char _lat[]="LAT\0";
+static char _mac[]="MAC\0";
+static char *_tbl[]={(char*)&_plain,(char*)&_koi,(char*)&_lat,(char*)&_mac};
+
+static char _koitest[]	= "ÁÂ×ÇÄÅ£ÖÚÉÊËÌÍÎÏÐÒÓÔÕÆÈÃÞÛÝßÙØÜÀÑáâ÷çäå³öúéêëìíîïðòóôõæèãþûýÿùøüàñ\0";
+static char _plaintest[]= "àáâãäå¸æçèéêëìíîïðñòóôõö÷øùúûüýþÿÀÁÂÃÄÅ¨ÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞß\0";
+static char _lattest[] 	= "abvgdeezziiklmnoprstufhccss'y'euaABVGDEEZZIIKLMNOPRSTUFHCCSS'Y'EUA\0";
+static char _mactest[]	= "ÐÑÒÓÔÕñÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîï°±²³´µ¡¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏ\0";
+static char *_tbltest[]={(char*)&_plaintest,(char*)&_koitest,(char*)&_lattest,(char*)&_mactest};
+
+static int iorecv(struct hook_io_data *);
+static int flushlinebuf(struct hook_flush_linebuf_data *);
+static void do_trans(char *, unsigned char, unsigned char, unsigned int);
+static int show_codepage(struct hook_mfunc_data *);
+
+struct Message xlat_msgtab = {
+  "XLAT", 0, 0, 2, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_xlat, m_ignore, m_xlat}
+};
+
+void
+_modinit(void)
+{
+  mod_add_cmd(&xlat_msgtab);
+  hook_add_hook("iorecv", (hookfn *)iorecv); 
+  hook_add_hook("flushlinebuf", (hookfn *)flushlinebuf); 
+  hook_add_hook("doing_whois", (hookfn *)show_codepage);
+}
+
+void
+_moddeinit(void)
+{
+  hook_del_hook("doing_whois", (hookfn *)show_codepage);
+  hook_del_hook("flushlinebuf", (hookfn *)flushlinebuf); 
+  hook_del_hook("iorecv", (hookfn *)iorecv); 
+  mod_del_cmd(&xlat_msgtab);
+}
+
+char *_version = "$Revision: 1.1.1.1 $";
+
+
+/*
+** m_xlat
+**      parv[0] = sender prefix
+**      parv[1] = transtbl
+*/
+static void m_xlat(struct Client *client_p, struct Client *source_p,
+                    int parc, char *parv[])
+{
+  unsigned char xlat_table;
+  struct User *r;  
+  if (!IsPerson(source_p))
+    {
+      sendto_one(source_p, ":%s NOTICE %s :XLAT works only for users", me.name,
+                 parv[0]);
+      return;
+    }
+
+
+	if(strcasecmp(parv[1],"PLAIN")==0) {
+	    SetPlainXlat(source_p);
+	} else if(strcasecmp(parv[1],"KOI")==0) {
+	    SetKoiXlat(source_p);
+	} else if(strcasecmp(parv[1],"LAT")==0) {
+	    SetLatXlat(source_p);
+	} else if(strcasecmp(parv[1],"MAC")==0) {
+	    SetMacXlat(source_p);
+	} else if(strcasecmp(parv[1],"HELP")==0) {
+	     sendto_one(source_p, ":%s NOTICE %s :To use xlat on a fly codepage translation try /xlat [plain|koi|lat|mac].", me.name,
+                 parv[0]);
+	} else {	
+	    SetPlainXlat(source_p);
+	}
+
+      r = source_p->user;
+      xlat_table = r->xlat_table;
+      sendto_one(source_p, ":%s NOTICE %s :You translation table is [%s].", me.name,
+                 parv[0],_tbl[xlat_table]);
+      return;
+
+    
+}
+
+static int iorecv(struct hook_io_data * data)
+{
+    struct User *r;
+    unsigned char xlat_table;
+    
+    if (IsPerson(data->connection))
+    {
+	r = data->connection->user;
+	xlat_table = r->xlat_table;
+	if ((xlat_table != XLAT_LAT) && (xlat_table != XLAT_PLAIN))
+	    do_trans(data->data, xlat_table, XLAT_PLAIN, data->len);
+    }
+    return 0;
+}
+
+static int flushlinebuf(struct hook_flush_linebuf_data * data)
+{
+    struct User *r;
+    unsigned char xlat_table;
+
+    if (IsPerson(data->connection))
+    {
+	r = data->connection->user;
+	xlat_table = r->xlat_table;
+
+	if (xlat_table != XLAT_PLAIN)
+	    do_trans(data->line, XLAT_PLAIN, xlat_table, data->len);
+    }
+    
+    return 0;
+}
+
+static void do_trans(char *dest, unsigned char from, unsigned char to, unsigned int len)
+{
+    unsigned int i, sym, lf, lt, ep;
+    char *sfrom;
+    char *sto;
+    
+    sfrom = _tbltest[from];
+    sto = _tbltest[to];
+   
+    lf = strlen(sfrom);
+    lt = strlen(sto);
+    if (lf < lt) ep = lf; else ep = lt;
+	 
+    for (sym=0; sym < len; sym++)
+    {
+        for (i=0; i<ep; i++)
+	{
+	    if (dest[sym]==sfrom[i])
+	    {
+	        dest[sym] = sto[i];
+	        break;
+	    }
+	}
+    }
+}
+
+static int show_codepage(struct hook_mfunc_data *data)
+{
+  sendto_one(data->source_p, form_str(RPL_WHOISCODEPAGE), me.name,
+           data->source_p->name, data->client_p->name, 
+	   _tbl[data->client_p->user->xlat_table]);
+  return 0;
+}
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/spy_admin_notice.c ircby-0.5-RC3/contrib/spy_admin_notice.c
--- ircd-hybrid-7.0.1/contrib/spy_admin_notice.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/spy_admin_notice.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_admin_notice.c,v 1.6 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: spy_admin_notice.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -42,7 +42,7 @@
   hook_del_hook("doing_admin", (hookfn *)show_admin);
 }
 
-const char *_version = "$Revision: 1.6 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 
 int show_admin(struct hook_spy_data *data)
 {
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/spy_info_notice.c ircby-0.5-RC3/contrib/spy_info_notice.c
--- ircd-hybrid-7.0.1/contrib/spy_info_notice.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/spy_info_notice.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_info_notice.c,v 1.6 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: spy_info_notice.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -42,7 +42,7 @@
   hook_del_hook("doing_info", (hookfn *)show_info);
 }
 
-const char *_version = "$Revision: 1.6 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 
 int show_info(struct hook_spy_data *data)
 {
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/spy_links_notice.c ircby-0.5-RC3/contrib/spy_links_notice.c
--- ircd-hybrid-7.0.1/contrib/spy_links_notice.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/spy_links_notice.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_links_notice.c,v 1.11 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: spy_links_notice.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
   hook_del_hook("doing_links", (hookfn *)show_links);
 }
 
-const char *_version = "$Revision: 1.11 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 
 int
 show_links(struct hook_links_data *data)
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/spy_motd_notice.c ircby-0.5-RC3/contrib/spy_motd_notice.c
--- ircd-hybrid-7.0.1/contrib/spy_motd_notice.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/spy_motd_notice.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_motd_notice.c,v 1.6 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: spy_motd_notice.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -42,7 +42,7 @@
   hook_del_hook("doing_motd", (hookfn *)show_motd);
 }
 
-const char *_version = "$Revision: 1.6 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 
 int show_motd(struct hook_spy_data *data)
 {
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/spy_stats_notice.c ircby-0.5-RC3/contrib/spy_stats_notice.c
--- ircd-hybrid-7.0.1/contrib/spy_stats_notice.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/spy_stats_notice.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_stats_notice.c,v 1.12 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: spy_stats_notice.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
 	hook_del_hook("doing_stats", (hookfn *)show_stats);
 }
 
-const char *_version = "$Revision: 1.12 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 
 /* show a stats request */
 int
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/spy_stats_p_notice.c ircby-0.5-RC3/contrib/spy_stats_p_notice.c
--- ircd-hybrid-7.0.1/contrib/spy_stats_p_notice.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/spy_stats_p_notice.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_stats_p_notice.c,v 1.4 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: spy_stats_p_notice.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
   hook_del_hook("doing_stats_p", (hookfn *)show_stats_p);
 }
 
-const char *_version = "$Revision: 1.4 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 
 int show_stats_p(struct hook_stats_data *data)
 {
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/spy_trace_notice.c ircby-0.5-RC3/contrib/spy_trace_notice.c
--- ircd-hybrid-7.0.1/contrib/spy_trace_notice.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/spy_trace_notice.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_trace_notice.c,v 1.6 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: spy_trace_notice.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -45,7 +45,7 @@
   hook_del_hook("doing_ltrace", (hookfn *)show_ltrace);
 }
 
-const char *_version = "$Revision: 1.6 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 
 int show_trace(struct hook_spy_data *data)
 {
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/spy_whois_notice.c ircby-0.5-RC3/contrib/spy_whois_notice.c
--- ircd-hybrid-7.0.1/contrib/spy_whois_notice.c	Sat Oct 25 22:08:10 2003
+++ ircby-0.5-RC3/contrib/spy_whois_notice.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: spy_whois_notice.c,v 1.10.4.1 2003/10/26 02:08:10 db Exp $
+ *  $Id: spy_whois_notice.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "modules.h"
@@ -43,7 +43,7 @@
   hook_del_hook("doing_whois", (hookfn *)show_notice);
 }
 
-const char *_version = "$Revision: 1.10.4.1 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 
 /* show a whois notice
    source_p does a /whois on client_p */
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/IRCby/ClientsSSL ircby-0.5-RC3/doc/IRCby/ClientsSSL
--- ircd-hybrid-7.0.1/doc/IRCby/ClientsSSL	Wed Dec 31 19:00:00 1969
+++ ircby-0.5-RC3/doc/IRCby/ClientsSSL	Tue Mar 30 11:04:25 2004
@@ -0,0 +1,110 @@
+
+    îÁÓÔÒÏÊËÁ ÓÅÒ×ÅÒÏ× ÄÌÑ ÉÓÐÏÌØÚÏ×ÁÎÉÑ ËÌÉÅÎÔÁÍÉ SSL ÓÏÅÄÉÎÅÎÉÑ 
+
+
+1. ðÒÅÁÍÂÕÌÁ
+    
+ ëÁË É × ÐÒÏÛÌÙÈ ×ÅÒÓÉÑÈ ÄÌÑ ÏÒÇÁÎÉÚÁÃÉÉ SSL ÐÏÄËÌÀÞÅÎÉÑ ÓÏ ÓÔÏÒÏÎÙ IRC
+ ËÌÉÅÎÔÁ ÉÓÐÏÌØÚÕÅÔÓÑ ËÒÉÐÔÏÔÕÎÎÅÌØ stunnel (http://www.stunnel.org).
+ ðÒÏÇÒÁÍÍÁ ÍÏÖÅÔ ÂÙÔØ ÉÓÐÏÌØÚÏ×ÁÎÁ ÎÅ ÔÏÌØËÏ ÄÌÑ ËÒÉÐÔÏÇÒÁÆÉÒÏ×ÁÎÉÑ
+ IRC ÔÒÁÆÉËÁ, ÎÏ É POP, IMAP, LDAP,etc. îÁ ÓÁÊÔÅ ÐÒÉ×ÉÄÅÎÎÙ ÐÒÉÍÅÒÙ
+ ÎÁÓÔÒÏÅË Ó ÄÌÑ ÄÒÕÇÉÈ 
+ 
+ îÁ ÓÌÅÄÕÀÝÅÍ ÛÁÇÅ ×Ù ÄÏÌÖÎÙ ÏÐÒÅÄÅÌÉÔØÓÑ Ó ËÁËÏÊ ×ÅÔËÏÊ stunnel ×Ù 
+ ÂÕÄÅÔÅ ÒÁÂÏÔÁÔØ: 
+ 
+    3.x
+    
+    * ÐÒÏÓÔÁ × ÕÓÔÁÎÏ×ËÅ ÄÌÑ ËÏÎËÒÅÔÎÏ ÎÁÛÅÇÏ ÓÌÕÞÁÑ,
+      ÍÏÖÎÏ ÚÁÐÕÓËÁÔØ Ó ËÏÍÍÁÎÄÎÏÊ ÓÔÒÏËÉ É ÓÅÒ×ÉÓÁ inet.d
+    
+    4.x
+    
+    * ÐÁÒÁÍÅÔÒÙ ÚÁÄÁÀÔÓÑ ÞÅÒÅÚ ËÏÎÆÉÇÉ (ÏÄÉÎ ÏÂÝÉÊ Ó ÓÅËÃÉÑÍÉ)
+    
+    * ÉÍÅÅÔ ÓÍÙÓÌ, ÅÓÌÉ ËÒÏÍÅ IRC ÎÁ ×ÁÛÅÊ ÓÉÓÔÅÍÅ ÄÅÊÓÔ×ÕÀÔ ÄÒÕÇÉÅ ÓÅÒ×ÉÓÙ,
+      ÔÒÅÂÕÀÝÉÅ ËÒÉÐÔÏ×ÁÎÉÑ.
+      
+    * ÕÍÅÅÔ ÄÅÌÁÔØ chroot, suid
+    
+    * ËÏÎÔÒÏÌØ É ÕÐÒÁ×ÌÅÎÉÅ SSL ÓÅÒÔÉÆÉËÁÔÁÍÉ  
+ 
+ îÁ ÓÁÊÔÅ ÍÏÖÎÏ ×ÚÑÔØ ÐÏÓÌÅÄÎÀÀ ×ÅÒÓÉÀ ×ÙÂÒÁÎÎÏÊ ×ÅÔËÉ.
+ ïÚÎÁËÏÍÔÅÓØ Ó ÒÁÚÄÅÌÁÍÉ FAQ É Examples. ïÓÏÂÅÎÎÏ ÐÏÓÌÅÄÎÉÅ ÏÞÅÎØ ÐÏÌÅÚÅÎÙ.
+
+
+2. Download
+
+ óËÁÞÁÊÔÅ ×ÙÂÒÁÎÕÀ ×ÁÍÉ ×ÅÒÓÉÀ É ÎÅÏÂÈÏÄÉÍÙÅ ÂÉÂÌÉÏÔÅËÉ
+ 
+ * ËÁË É ÄÌÑ ircd ÎÅÏÂÈÏÄÉÍÁ ÂÉÂÌÉÏÔÅËÁ OpenSSL 0.9.7 (http://www.openssl.org)
+ 
+ 
+3. Install
+ 
+ ÷ÎÉÍÁÔÅÌØÎÏ ÏÚÎÁËÏÍØÔÅÓØ Ó ÄÏËÕÍÅÎÔÁÃÉÅÊ ÐÒÉ×ÏÄÑÝÅÊÓÑ × ÐÒÏÇÒÁÍÍÅ.
+ ÷ÙÐÏÌÎÅÔÅ ÕÓÔÁÎÏ×ËÕ ÐÒÏÇÒÁÍÍÙ, ÎÁÐÒÉÍÅÒ, × /usr/local
+
+4a. Setup Stunnel 3.x
+
+    Windows
+
+    Unix
+    
+ ðÒÉÍÅÒ ÉÓÐÏÌØÚÏ×ÁÎÉÑ:
+
+    ./stunnel -d 994 -r 127.0.0.1:6667
+ íÏÖÎÏ ÐÒÏÐÉÓÁÔØ ÜÔÕ ÓÔÒÏÞËÕ ÎÁÐÒÉÍÅÒ × rc.local, ÕËÁÚÁ× ÐÏÌÎÙÊ ÐÕÔØ.
+	    
+ ôÅÐÅÒØ ÍÏÖÎÏ ÉÓÐÏÌØÚÏ×ÁÔØ SSL-ËÌÉÅÎÔ, ËÏÔÏÒÙÊ ÂÕÄÅÔ ÐÏÄËÌÀÞÁÔØÓÑ ÎÁ 994 ÐÏÒÔ.
+ öÅÌÁÔÅÌØÎÏ ÉÓÐÏÌØÚÏ×ÁÔØ ÉÍÅÎÎÏ 994 ÐÏÒÔ ÄÌÑ ÒÅÁÌÉÚÁÃÉÉ ËÌÉÅÎÔÓËÉÈ 
+ SSL-ÓÏÅÄÉÎÅÎÉÊ, ÔÁË ËÁË ÜÔÏ ÓÅÒ×ÉÓ ircs.     
+
+4b. Setup Stunnel 4.x
+
+    Windows
+
+    UNIX
+
+ åÓÌÉ ×Ù ×ÙÂÒÁÌÉ 4 ×ÅÔËÕ, ÔÏ ÉÓÐÏÌØÚÏ×ÁÎÉÅ ÐÒÏÇÒÁÍÍÙ, ÂÕÄÅÔ ×ÙÇÌÑÄÅÔØ 
+ ÎÅÍÎÏÇÏ ÐÏÓÌÏÖÎÅÎÉÅ. åÅ ÍÏÖÎÏ ÚÁÐÕÓËÁÔØ ÏÔ root ÉÌÉ ircd ÐÏÌØÚÏ×ÁÔÅÌÑ.
+ 
+ /usr/local/sbin/stunnel /usr/local/ircd/etc/stunnel-ircd.conf
+
+ ðÒÉÍÅÒÎÏÅ ÓÏÄÅÒÖÁÎÉÅ ËÏÎÆÉÇÁ stunnel-ircd.conf
+ 
+     cert = /usr/local/ircd/stunnel/ircd.pem 
+     chroot = /usr/local/ircd/stunnel/run
+     # PID is created inside chroot jail
+     pid = /stunnel.pid
+     setuid = nobody
+     setgid = nogroup
+     service = ircd-stunne
+ 
+     # Authentication stuff
+     verify = 1
+ 
+     # don't forget about c_rehash CApath
+     # it is located inside chroot jail:
+     #CApath = /certs
+     # or simply use CAfile instead:
+     #CAfile = /usr/local/etc/stunnel/certs.pem
+ 
+     # Some debugging stuff 
+     debug = 7
+     output = stunnel.log
+ 
+     [ircd] 
+     accept=994
+     connect=127.0.0.1:6667
+
+ ðÏÄÒÁÚÕÍÅ×ÁÅÔÓÑ, ÞÔÏ ÎÁÍ ÎÅÔ ÎÅÏÂÈÏÄÉÍÏÓÔÉ, ÇÅÎÅÒÉÒÏ×ÁÔØ ÓÅÒÔÉÆÉËÁÔÙ.
+ 
+ ôÁËÉÍ ÏÂÒÁÚÏÍ ×ÓÅ ×ÈÏÄÎÙÅ ÓÏÅÄÉÎÅÎÉÑ ÎÁ ÕËÁÚÁÎÎÏ 994 ÐÏÒÔÕ
+ ÂÕÄÕÔ ÆÏÒ×ÁÒÄÉÔÓÑ ÎÁ 6667 ÐÏÒÔ.
+
+
+5. Connection test	
+
+ ôÁËÏÅ ÓÏÅÄÉÎÅÎÉÅ × ÓÌÕÞÁÅ ËÌÉÅÎÔÁ X-Chat 2.x ÐÏÄÒÁÚÕÍÅ×ÁÅÔ 994 ÐÏÒÔ É 
+ Ä×ÅÎÁÖÁÔÙÅ ÇÁÌËÉ Use secure SSL É Accept invalid cert.
\ No newline at end of file
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/IRCby/ircd.motd ircby-0.5-RC3/doc/IRCby/ircd.motd
--- ircd-hybrid-7.0.1/doc/IRCby/ircd.motd	Wed Dec 31 19:00:00 1969
+++ ircby-0.5-RC3/doc/IRCby/ircd.motd	Tue Mar 30 11:04:25 2004
@@ -0,0 +1,26 @@
+================================================================================
+
+                                Welcome to:
+
+    12------ ------------   -----------      ------------  ----     ----
+    12 ----  ----     ---- ----     ----     ----     ---- ----     ----
+    12 ----  ----     ---- ----              ----     ---- ----     ----
+    12 ----  ------------  ---- [15www.3i12r4c15.by12]   ----        ------
+    12 ----  ----     ---- ----              ----     ----          ----
+    12 ----  ----     ---- ----              ----     ----          ----
+    12 ----  ----     ---- ----     ----     ----     ---- ----     ----
+    12------ ----     ----  -----------      ------------   -----------
+
+                        Network Coordinator: newiceman
+                        Network CoCoordinator: ewger
+                           IRCby-team (c) 2003-2004
+			   
+
+   Â ñåòè ðàáîòàþò ñåðâèñû: NickServ, ChanServ, MemoServ, SeenServ, StatServ
+    ×òîáû íà÷àòü ðàáîòó ñ íèìè: /HelpServ help, /ns help, /cs help, /ms help
+
+        Supported codepage translations : PLAIN(CP-1251), KOI, LAT, MAC
+           To change your codepage on-the-fly use: /xlat TRANSLATION
+	   
+    Contact: support@irc.by
+================================================================================
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/IRCby/stunnel-ircd.conf ircby-0.5-RC3/doc/IRCby/stunnel-ircd.conf
--- ircd-hybrid-7.0.1/doc/IRCby/stunnel-ircd.conf	Wed Dec 31 19:00:00 1969
+++ ircby-0.5-RC3/doc/IRCby/stunnel-ircd.conf	Tue Mar 30 11:04:25 2004
@@ -0,0 +1,23 @@
+cert = /usr/local/ircd/stunnel/ircd.pem
+chroot = /usr/local/ircd/stunnel/run
+# PID is created inside chroot jail
+pid = /stunnel.pid
+setuid = nobody
+setgid = nogroup
+service = ircd-stunnel
+
+# Authentication stuff
+verify = 1
+# don't forget about c_rehash CApath
+# it is located inside chroot jail:
+#CApath = /certs
+# or simply use CAfile instead:
+#CAfile = /usr/local/etc/stunnel/certs.pem
+
+# Some debugging stuff
+debug = 7
+output = stunnel.log
+
+[ircd]
+accept=994
+connect=127.0.0.1:6667
\ No newline at end of file
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/README.cidr_bans ircby-0.5-RC3/doc/README.cidr_bans
--- ircd-hybrid-7.0.1/doc/README.cidr_bans	Wed Aug 28 13:00:10 2002
+++ ircby-0.5-RC3/doc/README.cidr_bans	Tue Mar 30 11:04:24 2004
@@ -1,4 +1,4 @@
-$Id: README.cidr_bans,v 1.1 2002/08/28 17:00:10 androsyn Exp $ 
+$Id: README.cidr_bans,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $ 
 
 
 Basically what this patch does is allow for users to use cidr masks when
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/convertconf-example.conf ircby-0.5-RC3/doc/convertconf-example.conf
--- ircd-hybrid-7.0.1/doc/convertconf-example.conf	Sat May 31 03:30:25 2003
+++ ircby-0.5-RC3/doc/convertconf-example.conf	Tue Mar 30 11:04:24 2004
@@ -3,7 +3,7 @@
  *
  * Written by ejb, wcampbel, db, leeh and others
  *
- * $Id: convertconf-example.conf,v 7.7.2.1 2003/05/31 07:30:25 lusky Exp $
+ * $Id: convertconf-example.conf,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /* logging {}: contains information about logfiles. */
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/example.conf ircby-0.5-RC3/doc/example.conf
--- ircd-hybrid-7.0.1/doc/example.conf	Sat May 31 03:30:25 2003
+++ ircby-0.5-RC3/doc/example.conf	Tue Mar 30 11:04:24 2004
@@ -3,7 +3,7 @@
  *
  * Written by ejb, wcampbel, db, leeh and others
  *
- * $Id: example.conf,v 7.169.2.1 2003/05/31 07:30:25 lusky Exp $
+ * $Id: example.conf,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /* IMPORTANT NOTES:
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/example.conf.quick ircby-0.5-RC3/doc/example.conf.quick
--- ircd-hybrid-7.0.1/doc/example.conf.quick	Sat May 31 03:30:25 2003
+++ ircby-0.5-RC3/doc/example.conf.quick	Tue Mar 30 11:04:24 2004
@@ -3,7 +3,7 @@
  *
  * Written by ejb, wcampbel, db, leeh and others
  *
- * $Id: example.conf.quick,v 1.1.2.1 2003/05/31 07:30:25 lusky Exp $
+ * $Id: example.conf.quick,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /* IMPORTANT NOTES:
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/example.efnet.conf ircby-0.5-RC3/doc/example.efnet.conf
--- ircd-hybrid-7.0.1/doc/example.efnet.conf	Thu Jun 12 20:10:41 2003
+++ ircby-0.5-RC3/doc/example.efnet.conf	Tue Mar 30 11:04:24 2004
@@ -1,6 +1,6 @@
 /* doc/example.efnet.conf - ircd-hybrid-7 EFnet Example configuration file
  *
- * $Id: example.efnet.conf,v 7.9.2.2 2003/06/13 00:10:41 db Exp $
+ * $Id: example.efnet.conf,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /* IMPORTANT NOTES:
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/old/example_old.conf ircby-0.5-RC3/doc/old/example_old.conf
--- ircd-hybrid-7.0.1/doc/old/example_old.conf	Fri Dec 22 22:32:23 2000
+++ ircby-0.5-RC3/doc/old/example_old.conf	Tue Mar 30 11:04:25 2004
@@ -2,7 +2,7 @@
 #   IRC - Internet Relay Chat, doc/example.conf
 #   Copyright (C) 1992, Bill Wisner
 #
-# $Id: example_old.conf,v 1.1 2000/12/23 03:32:23 db Exp $
+# $Id: example_old.conf,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
 #
 # Example of an old style ircd.conf file, which h7 will not parse
 # but is kept here for historical interest
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/old/simple.conf ircby-0.5-RC3/doc/old/simple.conf
--- ircd-hybrid-7.0.1/doc/old/simple.conf	Fri Dec 22 22:32:23 2000
+++ ircby-0.5-RC3/doc/old/simple.conf	Tue Mar 30 11:04:25 2004
@@ -1,7 +1,7 @@
 # IRC minimal example configuration file
 #
-# $Id: simple.conf,v 1.1 2000/12/23 03:32:23 db Exp $
-# $Id: simple.conf,v 1.1 2000/12/23 03:32:23 db Exp $
+# $Id: simple.conf,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
+# $Id: simple.conf,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
 # 
 # This is a basic ircd.conf that will get you up and running with
 # little or no modifications.  See the example.conf file for more
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/server-version-info ircby-0.5-RC3/doc/server-version-info
--- ircd-hybrid-7.0.1/doc/server-version-info	Sat Dec 15 00:10:41 2001
+++ ircby-0.5-RC3/doc/server-version-info	Tue Mar 30 11:04:24 2004
@@ -1,6 +1,6 @@
                               Server VERSION Info
 
-   $Id: server-version-info,v 7.13 2001/12/15 05:10:41 wcampbel Exp $
+   $Id: server-version-info,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 
    Copyright (c) 2001 by ircd-hybrid team
 
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/simple.conf ircby-0.5-RC3/doc/simple.conf
--- ircd-hybrid-7.0.1/doc/simple.conf	Fri Apr  4 20:37:56 2003
+++ ircby-0.5-RC3/doc/simple.conf	Tue Mar 30 11:04:24 2004
@@ -1,6 +1,6 @@
 # Hybrid 7 minimal example configuration file
 #
-# $Id: simple.conf,v 7.6.6.1 2003/04/05 01:37:56 lusky Exp $
+# $Id: simple.conf,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 #
 # This is a basic ircd.conf that will get your server running with
 # little modification.  See the example.conf for more specific 
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/doc/technical/README.openssl ircby-0.5-RC3/doc/technical/README.openssl
--- ircd-hybrid-7.0.1/doc/technical/README.openssl	Sat May 31 03:30:27 2003
+++ ircby-0.5-RC3/doc/technical/README.openssl	Tue Mar 30 11:04:25 2004
@@ -245,4 +245,4 @@
 
 
 END OF DOCUMENT
-$Id: README.openssl,v 1.7.4.1 2003/05/31 07:30:27 lusky Exp $
+$Id: README.openssl,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/accept ircby-0.5-RC3/help/opers/accept
--- ircd-hybrid-7.0.1/help/opers/accept	Tue Nov 20 20:41:04 2001
+++ ircby-0.5-RC3/help/opers/accept	Tue Mar 30 11:04:25 2004
@@ -1,8 +1,8 @@
 ACCEPT <parameter>
 
-ACCEPT allows you to control who can send you a NOTICE or PRIVMSG
-while you have user mode +g enabled.
+ACCEPT ïîçâîëÿåò Âàì êîíòðîëèðîâàòü, êòî ìîæåò ïîñûëàòü Âàì
+NOTICE or PRIVMSG, êîãäà âû íàõîäèòåñü â ðåæèìå +g.
 
-For +g: /QUOTE ACCEPT <nick>   -- Add a permitted nickname
-        /QUOTE ACCEPT -<nick>  -- Remove a permitted nickname
-        /QUOTE ACCEPT *        -- List the present permitted nicknames
+Äëÿ +g: /QUOTE ACCEPT <nick>   -- Äîáàâëÿåò ðàçðåøåííûé íèê
+        /QUOTE ACCEPT -<nick>  -- Óäàëÿåò ðàçðåøåííûé íèê
+        /QUOTE ACCEPT *        -- Ïîêàçûâàåò ðàçðåøåííûå íèêè
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/admin ircby-0.5-RC3/help/opers/admin
--- ircd-hybrid-7.0.1/help/opers/admin	Tue Nov 20 22:22:50 2001
+++ ircby-0.5-RC3/help/opers/admin	Tue Mar 30 11:04:25 2004
@@ -1,11 +1,10 @@
 ADMIN [server]
 
-With no arguments, ADMIN shows the information that was set by the
-administrator of the server. This information can take any form that
-will fit in three lines of text but is usually a list of contacts
-for the persons that run the server.
+Áåç àðãóìåíòîâ ïîêàçûâàåò èíôîðìàöèþ îá àäìèíèñòðàòîðå ñåðâåðà.
+Îíà ìîæåò áûòü â ïðîèçâîëüíîé ôîðìå â òðåõ ñòðîêàõ òåêñòà, íî 
+îáû÷íî ñîäåðæèò êîíòàêòíóþ èíôîðìàöèþ.
 
-With a second argument, the administrative information for the
-specified server is displayed.
+Ñ àðãóìåíòîì, àíàëîãè÷íàÿ èíôîðìàöèÿ îòîáðàçèòñÿ îá àäìèíèñòðàòîðå
+óêàçàííîãî ñåðâåðà
 
-See also: stats
+Ñì. òàêæå: stats
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/away ircby-0.5-RC3/help/opers/away
--- ircd-hybrid-7.0.1/help/opers/away	Tue Nov 20 22:22:50 2001
+++ ircby-0.5-RC3/help/opers/away	Tue Mar 30 11:04:25 2004
@@ -1,4 +1,4 @@
 AWAY :[MSG]
 
-Without an argument, it will set you back.  With an argument,
-it will set you as AWAY with the specified message.
+Ñ àðãóìåíòîì óñòàíàâëèâàåò Âàñ êàê îòñóòñòâóþùåãî ñ óêàçàííîé ïðè÷èíîé.
+Áåç àðãóìåíòà, "âîçâðàùàåò" âàñ (ñíèìàåò îòñóòñòâèå).
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/capab ircby-0.5-RC3/help/opers/capab
--- ircd-hybrid-7.0.1/help/opers/capab	Wed Nov 21 01:06:42 2001
+++ ircby-0.5-RC3/help/opers/capab	Tue Mar 30 11:04:25 2004
@@ -1 +1 @@
-CAPAB - Server to Server Protocol Command.
+CAPAB - Êîìàíäà ìåæñåðâåðíîãî ïðîòîêîëà.
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/cburst ircby-0.5-RC3/help/opers/cburst
--- ircd-hybrid-7.0.1/help/opers/cburst	Wed Nov 21 01:06:42 2001
+++ ircby-0.5-RC3/help/opers/cburst	Tue Mar 30 11:04:25 2004
@@ -1 +1 @@
-CBURST - Server to Server Protocol Command.
+CBURST - Êîìàíäà ìåæñåðâåðíîãî ïðîòîêîëà.
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/challenge ircby-0.5-RC3/help/opers/challenge
--- ircd-hybrid-7.0.1/help/opers/challenge	Wed Nov 21 01:21:16 2001
+++ ircby-0.5-RC3/help/opers/challenge	Tue Mar 30 11:04:25 2004
@@ -1,10 +1,8 @@
 CHALLENGE <nick|+response>
 
-CHALLENGE is used in the RSA controlled
-oper {} system.  CHALLENGE requires you to
-issue the command using the nickname in the
-operator block, while matching the username
-and hostname specified.  The server will
-send you an RSA challenge.  You must send
-a valid RSA response back to the server,
-proceeded with a '+' symbol.
+Èñïîëüçóåòñÿ â RSA óïðàâëÿåìîé oper {} ñèñòåìå.
+CHALLENGE òðåáóåò îòïðàâèòü êîìàíäó èñïîëüçóÿ íèê 
+â îïåð çàïèñè, ïðè ñîîòâåòñòâèè èìåíè ïîëüçîâàòåëÿ
+è óêàçàííîãî õîñòà. Ñåðâåð ïîñûëàåò RSA çàïðîñ.
+Âû äîëæíû îòïðàâèòü ïðàâèëüíûé RSA îòâåò íàçàä 
+ñåðâåðó ñ ñèìâîëîì +
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/cjoin ircby-0.5-RC3/help/opers/cjoin
--- ircd-hybrid-7.0.1/help/opers/cjoin	Tue Nov 20 20:41:04 2001
+++ ircby-0.5-RC3/help/opers/cjoin	Tue Mar 30 11:04:25 2004
@@ -1,4 +1,5 @@
 CJOIN <channel>
 
--- Creates a new vchan
-Note: this command is optionally available to users
+Ñîçäàåò íîâûé âèðòóàëüíûé êàíàë
+Çàìå÷àíèå: êîìàíäà íå âñåãäà äîñòóïíà äëÿ ïîëüçîâàòåëåé 
+(â çàâèñèìîñòè îò íàñòðîåê ñåðâåðà)
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/client ircby-0.5-RC3/help/opers/client
--- ircd-hybrid-7.0.1/help/opers/client	Wed Nov 21 01:06:42 2001
+++ ircby-0.5-RC3/help/opers/client	Tue Mar 30 11:04:25 2004
@@ -1 +1 @@
-CLIENT - Server to Server Protocol Command.
+CLIENT - Êîìàíäà ìåæñåðâåðíîãî ïðîòîêîëà.
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/help/opers/close ircby-0.5-RC3/help/opers/close
--- ircd-hybrid-7.0.1/help/opers/close	Tue Nov 20 20:41:04 2001
+++ ircby-0.5-RC3/help/opers/close	Tue Mar 30 11:04:25 2004
@@ -1,4 +1,4 @@
 CLOSE
 
-Close any connections from clients or servers who have
-not fully registered yet.
+Çàêðûâàåò ëþáûå ñîåäèíåíèÿ ñ ïîëüçîâàòåëÿìè èëè ñåðâåðàìè,
+êîòîðûå ïîêà íå çàðåãèñòðèðîâàíû
